Statut: Fermé Début: 18/07/2011
Priorité: Normal Echéance:

Assigné a: % réalisé: 0%
Catégorie: TSF Temps estimé: 0.00 heure
Version cible:

Description

faire evoluer I'application AJAX de carto radio, données opendata de la mairie de toulouse, passer de google maps a openstreetmap.
Acteurs intéressés: Drien (supervision de ce développement avec une équipe de développeurs de I'lUT de Blagnac et de TSF)

Premiere etape mettre sur git
recuperer travail deja fait

Wiki Carto

Demandes liées:
Blogué par tetaneutral.net - Evolution #141: Réinstaller un gestionnaire de d... Fermé 02/02/2012

Historique

#1 - 04/08/2011 16:06 - Laurent GUERBY

Il faudrait mettre a jour la base terrain pour inclure proprement cazeres et saint-gaudens.

#2 - 26/01/2012 23:40 - Laurent GUERBY

Sylvain Faivre s'interesse a ce projet de remise a jour de carto, je I'ajoute avec Drien.

#3 - 26/01/2012 23:59 - Laurent GUERBY

Carto a remplir

#4 - 29/01/2012 23:29 - Sylvain Faivre

J'ai vérifié le souci de I'azimut, en fait I'azimut et la distance de chaque point étaient calculés en double.
J'ai mis un arrondi a la 2e virgule sur le premier calcul et j'ai supprimé le second.

#5 - 29/01/2012 23:31 - Sylvain Faivre

Est-ce qu'il y a un dépdt GIT ? Sinon, je vais en créer un.
Je ne connais pas GIT mais j'ai trouvé un "Git crash course for SVN users", ¢ca devrait me donner les bases...

#6 - 01/02/2012 13:54 - Laurent GUERBY

Pour le depot git on a une VM git et une chiliproject qui est censée pouvoir suivre un projet git.

Mehdi, tu peux vérifier gu'il n'y a rien sur la VM git actuelle, et |a refaire (soit sur VM chili soit sur une git toute neuve)
trouver des volontaires pour monter ¢a eventuellement en puppet ?

Tu peux mettre les clés des admins motivés sur les VM merci !

#7 - 02/02/2012 00:17 - Sylvain Faivre

J'ai commencé a monter un dépét GIT sur TSF2 pour me faire la main, pas encore accessible depuis I'extérieur, pourra étre copié ou déplacé sur
l'autre VM si besoin.

#8 - 09/02/2012 22:44 - Sylvain Faivre

Pour se faire une copie du site en local :

mkdir carto

cd carto

git init

git remote add origin <user>Q@tsf2.tetaneutral.net:/usr/share/apache2/carto/.git
git pull origin master

cd olsr_data

gunzip < olsrd-topology.log.copie.gz > olsrd-topology.log

(3'al compressé le fichier pour le dépdét git car il fait 758 Mo une fois décompressé)

cd ..

vi tsfcarto.conf.php

(modifier la clef API Google Maps pour mettre la sienne + modifier les paramétres d'acces a la BDD si besoin)
+ configurer une BDD MySQL en local qui reprend le contenu de celle du serveur !

#9 - 09/02/2012 23:20 - Sylvain Faivre

Si on a modifié le fichier tsfcarto.conf.php en local, pour dire a git de ne pas en tenir compte dans les mises a jour :

git update-index --assume-unchanged tsfcarto.conf.php

#10 - 10/02/2012 20:32 - Laurent GUERBY

Evenement :
http://www.makina-corpus.com/actualite/petit-dejeuner-alternatives-google-maps-7-fevrier-2012

Slides :
http://www.slideshare.net/makinacorpus/solutions-alternatives-google-maps-11501753

#11 - 21/02/2012 02:02 - Laurent GUERBY

Pour du relief

http://francetopo.fr/

#12 - 21/02/2012 02:04 - Laurent GUERBY
http://www.heywhatsthat.com/?view=BDP1APT5

Cliquer sur visibility cloak en haut a droite de la carte. Faire des coupes en cliquant sur "show profile" et en deplacant la croix.

#13 - 10/08/2018 09:04 - Matthieu Herrb

- Statut changé de En cours a Fermé

fermeture de tous les vieux tickets non suivis depuis plusieurs années
